Last Comment Bug 718546 - bug389321-1.html: Use EventUtils sendChar() to send the char, not sendKey()
: bug389321-1.html: Use EventUtils sendChar() to send the char, not sendKey()
Status: VERIFIED FIXED
:
Product: Core
Classification: Components
Component: Editor (show other bugs)
: Trunk
: All All
: P3 minor (vote)
: mozilla12
Assigned To: Serge Gautherie (:sgautherie)
:
Mentors:
http://mxr.mozilla.org/mozilla-centra...
Depends on: 718487
Blocks: 389321
  Show dependency treegraph
 
Reported: 2012-01-16 17:56 PST by Serge Gautherie (:sgautherie)
Modified: 2012-01-17 15:30 PST (History)
1 user (show)
bugzillamozillaorg_serge_20140323: in‑testsuite+
See Also:
Crash Signature:
(edit)
QA Whiteboard:
Iteration: ---
Points: ---
Has Regression Range: ---
Has STR: ---


Attachments
(Av1) bug389321-1.html: Use EventUtils sendChar() to send char, not sendKey() [Checked in: Comment 2] (1.69 KB, patch)
2012-01-16 17:58 PST, Serge Gautherie (:sgautherie)
ehsan: review+
Details | Diff | Splinter Review

Description Serge Gautherie (:sgautherie) 2012-01-16 17:56:53 PST
I assume this test doesn't rely on using sendKey() specifically, does it?
Comment 1 Serge Gautherie (:sgautherie) 2012-01-16 17:58:42 PST
Created attachment 589077 [details] [diff] [review]
(Av1) bug389321-1.html: Use EventUtils sendChar() to send char, not sendKey()
[Checked in: Comment 2]

Moved from bug 717868 patch Cv1.
Comment 2 Serge Gautherie (:sgautherie) 2012-01-17 11:44:17 PST
Comment on attachment 589077 [details] [diff] [review]
(Av1) bug389321-1.html: Use EventUtils sendChar() to send char, not sendKey()
[Checked in: Comment 2]

https://hg.mozilla.org/mozilla-central/rev/4c7f169a4755
Comment 3 Serge Gautherie (:sgautherie) 2012-01-17 15:16:55 PST
http://tinderbox.mozilla.org/showlog.cgi?log=SeaMonkey/1326804272.1326805142.11349.gz&fulltext=1
OS X 10.5 comm-central-trunk debug test mochitests-4/5 on 2012/01/17 04:44:32
{
1767 INFO TEST-PASS | /tests/layout/base/tests/test_reftests_with_caret.html | Reftest http://mochi.test:8888/tests/layout/base/tests/bug389321-1.html
}

V.Fixed: this sub-test still succeeds.
Comment 4 Serge Gautherie (:sgautherie) 2012-01-17 15:30:51 PST
(In reply to Serge Gautherie (:sgautherie) from comment #3)
> http://tinderbox.mozilla.org/showlog.cgi?log=SeaMonkey/1326804272.1326805142.
> 11349.gz&fulltext=1
> OS X 10.5 comm-central-trunk debug test mochitests-4/5 on 2012/01/17 04:44:32

That was an older build :-<

Confirmed per newer
https://tbpl.mozilla.org/php/getParsedLog.php?id=8614886&tree=Firefox&full=1
Rev3 MacOSX Leopard 10.5.8 mozilla-central debug test mochitests-4/5 on 2012-01-17 12:05:00 PST for <a href="../?branch=mozilla-central&rev=4c7f169a4755">push 4c7f169a4755

Note You need to log in before you can comment on or make changes to this bug.